
Redmine - Defect #14173

Roadmap Method Error

2013-05-30 08:13 - Daniel Brooks

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

Ruby version              1.9.3 (i686-linux)

RubyGems version          1.8.23

Rack version              1.4

Rails version             3.2.13

Active Record version     3.2.13

Action Pack version       3.2.13

Active Resource version   3.2.13

Action Mailer version     3.2.13

Active Support version    3.2.13

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0xa45fee8>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /usr/local/share/redmine

Environment               production

Database adapter          mysql2

Database schema version   20130217094251

The error occurs when I click on the Roadmap tab:

Started GET "/projects/teachingresearchinstitutui/roadmap" for 127.0.0.1 at 2013-05-29 23:05:29 -0700

Processing by VersionsController#index as HTML

Parameters: {"project_id"=>"teachingresearchinstitutui"}

Current user: daniel_brooks (id=3)

Rendered versions/_overview.html.erb (5.1ms)

Rendered versions/index.html.erb within layouts/base (7.4ms)

Completed 500 Internal Server Error in 29ms

ActionView::Template::Error (undefined method `closed_percent' for #<Version:0xd56d454>):

16: <% end >

17:

18: < if version.issues_count > 0 >

19:     <= progress_bar([version.closed_percent, version.completed_percent], :width => '40em', :legend => ('%0.0f%' %

version.completed_percent)) >

20:     <p class="progress-info">

21:           <= link_to(l(:label_x_issues, :count => version.issues_count),

22:               project_issues_path(version.project, :status_id => '*', :fixed_version_id => version, :set_filter => 1)) %>

app/views/versions/_overview.html.erb:19:in `_app_views_versions__overview_html_erb__84348520_116703850'

app/views/versions/index.html.erb:13:in `block in app_views_versions_index_html_erb_891692239_110874620'

app/views/versions/index.html.erb:11:in `each'

app/views/versions/index.html.erb:11:in `_app_views_versions_index_html_erb__891692239_110874620'

History

#1 - 2013-05-30 08:22 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid
It seems you modify Redmine sources or use plugins.

See r11113.

#2 - 2013-05-30 08:34 - Daniel Brooks

- Status changed from Closed to Reopened

I have not touched the source and do not use any plugins..

#3 - 2013-05-30 08:44 - Toshi MARUYAMA

Versions#closed_percent is defined at source:tags/2.3.1/app/models/version.rb#L128

Check your sources are clean.

#4 - 2017-01-01 06:04 - Go MAEDA

- Status changed from Reopened to Closed

No feedback from the author for years. Closing.
https://www.redmine.org/projects/redmine/repository/svn/revisions/11113
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.3.1/app/models/version.rb#L128
